gr::radar::scatter_plot Class Reference

`#include <scatter_plot.h>`

Inheritance diagram for gr::radar::scatter_plot:

## Public Slots

void | refresh ()

## Public Member Functions

| scatter_plot (int interval, std::vector< float > axis_x, std::vector< float > axis_y, std::vector< float > *x, std::vector< float > *y, std::string label_x, std::string label_y, bool *xy_read, std::string label, QWidget *parent=0)
| ~scatter_plot ()

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Constructor & Destructor Documentation

## scatter_plot()

gr::radar::scatter_plot::scatter_plot | ( | int | interval,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::vector< float > * | x,
|  | std::vector< float > * | y,
|  | std::string | label_x,
|  | std::string | label_y,
|  | bool * | xy_read,
|  | std::string | label,
|  | QWidget * | parent = 0 )

## ~scatter_plot()

gr::radar::scatter_plot::~scatter_plot | ( |  | ) |

## Member Function Documentation

## refresh

void gr::radar::scatter_plot::refresh | ( |  | ) |

slot

## resizeEvent()

void gr::radar::scatter_plot::resizeEvent | ( | QResizeEvent * | event | ) |

protected

The documentation for this class was generated from the following file:

- scatter_plot.h